v.drape(1)

NAME
v.drape - Converts 2D vector features to 3D by sampling of elevation raster map.

KEYWORDS
vector, geometry, sampling, 3D, surface information

SYNOPSIS
v.drape
v.drape --help
v.drape input=name [layer=string] [cats=range] [where=sql_query] [type=string[,string,...]] output=name elevation=name [method=string] [scale=float] [null_value=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

layer=string
    Layer number or name (’-1’ for all layers)
    A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
    Default: -1

cats=range
    Category values
    Example: 1,3,7-9,13

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword
    Example: income < 1000 and population >= 10000

type=string[,string,...]
    Input feature type
    Options: point, line, boundary, centroid
    Default: point,line,boundary,centroid

output=name [required]
    Name for output vector map

elevation=name [required]
    Elevation raster map for height extraction

method=string
    Sampling interpolation method
    Options: nearest, bilinear, bicubic
    Default: nearest
    nearest: Nearest-neighbor interpolation
    bilinear: Bilinear interpolation
    bicubic: Bicubic interpolation

scale=float
    Scale factor sampled raster values
    Default: 1.0

null_value=float
    Height for sampled raster NULL values

DESCRIPTION
v.drape converts 2D/3D vector data into 3D vector format via sampling of an elevation surface. Three sampling algorithms adapted from v.sample were incorporated into this module: nearest neighbor, bilinear, and cubic convultion.

v.drape will skip vector features outside of current computational region or where raster map has NULL value. It’s possible to include all vector features by specifying height value that will be assigned to verticles whose values can not be determined from raster map.

NOTES
Additional vertices can be added to the input 2D vector map with v.split.

The module can be used in conjunction with v.out.pov and r.out.pov to export a complete set of vector and raster data for display in POVRAY.

EXAMPLES
Spearfish example:

v.drape in=roads elevation=elevation.10m method=bilinear out=roads3d
v.info roads3d

Create 3D vector roads map containing only "unimproved" roads. Set road height to 1000 m for all parts without height information.

v.drape input=roads type=line elevation=elevation.dem output=roads_3d \
        method=nearest scale=1.0 where=’cat=5’ layer=1 null_value=1000

  POVRAY example

#export the vector data
v.drape in=roads out=roads3d elevation=elevation.10m
v.out.pov roads3d out=roads3d.pov
#export the raster data
r.out.pov elevation.10m tga=elevation.tga
r.out.png landcover.30m out=landcover30m.png
# now write a complete povray-script and launch povray

SEE ALSO
v.extrude, v.to.3d, r.out.pov, v.in.region, v.out.pov, v.overlay, v.split, v.what.rast

AUTHORS
Dylan Beaudette, University of California at Davis.
Updated for GRASS 7 by Martin Landa, Czech Technical University in Prague, Czech Republic

SOURCE CODE

Available at: v.drape source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.3.dev Reference Manual